---
title: "Get the list of CRM users"
url: "https://docs.signnow.com/docs/users/operations/get-v2-crm-users"
type: "endpoint"
section: "users"
slug: "users/operations/get-v2-crm-users"
method: "GET"
path: "/v2/crm/users"
operation_id: "get-v2-crm-users"
authorization: "bearer"
---

# Get the list of CRM users

`GET /v2/crm/users`

Get the list of CRM users with access to contacts and their permissions.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | integer | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | integer | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |

## Responses

### 200

List of users with access to contacts 

**Example** (`List of users with access to contacts `)

```json
{
  "data": [
    {
      "id": "feXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "crm_user1@emaildomain.com",
      "contact": {
        "last_name": "Now",
        "first_name": "Sign"
      },
      "permission": {
        "created_at": 1670934578,
        "permission": "owner",
        "updated_at": 1670934578
      }
    },
    {
      "id": "f5XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "crm_user2@emaildomain.com",
      "contact": {
        "last_name": "Doe",
        "first_name": "Jane"
      },
      "permission": {
        "created_at": 1670934578,
        "permission": "owner",
        "updated_at": 1670934578
      }
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": {},
      "total": 2,
      "per_page": 2,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Request with any of cases: invalid token, expired token, empty header, authorization = null, authorization without value
* Request with incorrect per_page parameter type
* Request with incorrect per_page parameter value
* Request with incorrect per_page parameter value 2
* Request with incorrect page parameter type
* Request with incorrect page parameter value
* Request with incorrect include name

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`Incorrect include name`)

```json
{
  "code": 2740084,
  "message": "Include must be `contact_names`"
}
```

**Example** (`Incorrect `page` parameter type`)

```json
{
  "code": 27400904,
  "message": "Query parameter `page` must be a digit"
}
```

**Example** (`Incorrect `page` parameter value`)

```json
{
  "code": 27400905,
  "message": "Query parameter `page` must be more than 0"
}
```

**Example** (`Incorrect `per_page` parameter type`)

```json
{
  "code": 27400901,
  "message": "Query parameter `per_page` must be a digit"
}
```

**Example** (`Incorrect `per_page` parameter value`)

```json
{
  "code": 27400902,
  "message": "Query parameter `per_page` must be more than 0"
}
```

**Example** (`Incorrect `per_page` parameter value 2`)

```json
{
  "code": 27400903,
  "message": "Query parameter `per_page` must be less than or equal 100"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/crm/users" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/users/operations/get-v2-crm-users*
